Package org.eclipse.m2m.atl.emftvm.util

# Class LazyCollection.ReadOnlyListIterator<E>

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator<E>
org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyListIterator<E>

Type Parameters:
  `E` -

All Implemented Interfaces:
  `Iterator<E>`, `ListIterator<E>`

Direct Known Subclasses:
  `LazyCollection.IntegerRangeListIterator`, `LazyCollection.LongRangeListIterator`, `LazyCollection.ReverseListIterator`, `LazyCollection.SubListListIterator`, `LazyCollection.WrappedListIterator`

Enclosing class:
  `LazyCollection<E>`

public abstract static class LazyCollection.ReadOnlyListIterator<E> extends LazyCollection.ReadOnlyIterator<E> implements ListIterator<E>
`ListIterator` without `LazyCollection.ReadOnlyIterator.remove()`, `add(Object)`, and `set(Object)`.

## Constructor Summary

Constructors
Constructor
Description
`ReadOnlyListIterator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(E o)`
Unsupported.
`void`
`set(E o)`
Unsupported.

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Methods inherited from interface java.util.ListIterator

`hasNext, hasPrevious, next, nextIndex, previous, previousIndex, remove`

## Constructor Details

### ReadOnlyListIterator

public ReadOnlyListIterator()

## Method Details

### add

public void add(E o)
Unsupported.

Specified by:
  `add` in interface `ListIterator<E>`
Parameters:
  `o` - the object to add
Throws:
  `UnsupportedOperationException`

### set

public void set(E o)
Unsupported.

Specified by:
  `set` in interface `ListIterator<E>`
Parameters:
  `o` - the object to set
Throws:
  `UnsupportedOperationException`